Squid3-dev nao inicia e com erro [resolvido]



  • Boa tarde galera blz?

    estou instalando o Squid3-dev em uma maquina com pfsense 2.1-RC1 (amd64) so que ele nao inicia de jeito nenhum, je reinstalei varias vezes e nada, olhando os logs ele me mostra esse erro e mais alguns  ;D

    php: /status_services.php: The command '/usr/local/etc/rc.d/squid.sh stop' returned exit code '1', the output was '/libexec/ld-elf.so.1: Shared object "libheimntlm.so.10" not found, required by "squid"'

    os demais erros parece ser basicamente igual a esse ai, alguem tem alguma ideia de como corrigir isso??

    valeu pessoal



  • por algum motivo sei la qual, tive que baixar as bibliotecas do squid via console, como no link https://forum.pfsense.org/index.php?topic=62263.0 que o marcelloc havia disponibilizado um tempo atras, estranho e que nas outras maquinas rodando pfsense nao precisei baixar nenhuma dessas bibliotecas, dai o squid iniciou mas deu outro erro

    squid[60195]: Squid Parent: (squid-1) process 66741 will not be restarted due to repeated, frequent failures

    alguem conhece esse?



  • Essa versão 2.1-RC1 é muito antiga além se não ser versão estável, use pelo menos a 2.1.5 Release.



  • nas demais uso mesmo a versao 2.1.5, mas acabei de conseguir resolver, rodei o comando squid -z e resolveu o erro agora funciona normalmente, em todo caso pretendo sim trocar a versao o quanto antes obrigado pela força


Log in to reply